# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface Class Reference

`#include <PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface.hxx>`

Inheritance diagram for PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface:

[legend]

## Public Member Functions

Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface ()
Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface (const Handle(PGeom_BSplineSurface)&aValue)
Standard_EXPORT void | SetValue (const Handle(PGeom_BSplineSurface)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface (const Storage_stCONSTclCOM &a)
| Handle (PGeom_BSplineSurface) _CSFDB_GetPColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurfacemyValue() const
void | _CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurfacemyValue (const Handle(PGeom_BSplineSurface)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom_BSplineSurface | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface | ( |  | ) |

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface | ( | const Handle(PGeom_BSplineSurface)& | aValue | ) |

PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::_CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurfacemyValue | ( | const Handle(PGeom_BSplineSurface)& | p | ) | `[inline]`

Standard_EXPORT const PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::Handle | ( | PGeom_BSplineSurface |  | ) | const`[inline]`

Standard_EXPORT void PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::SetValue | ( | const Handle(PGeom_BSplineSurface)& | aValue | ) |

Standard_EXPORT Standard_Address PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_BSplineSurface PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface::myValue `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayNodeOfFieldOfHArray2OfBSplineSurface.hxx